List users for an organisation
Get a paginated list of users belonging to a specific organisation with optional search on first_name, last_name, and email.
GET
/api/v1/{app_id}/organisations/{id}/usersAuthorization
AuthorizationAPI key · headerrequiredBearer token (format: "Bearer {token}")
Path parameters
app_idstringrequiredUUID of the app
idstringrequiredUUID of the organisation
Query parameters
pageintegerPage number for pagination
default: 1
per_pageintegerNumber of items per page
default: 10
searchstringSearch query for first_name, last_name, and email
Responses
200
OK
itemsOrganisationUserResponse[] | nullShow propertiesHide properties
Array of
OrganisationUserResponseadditionsobject | nulladdressAddressResponseShow propertiesHide properties
citystringcountrystringcountry_codestringstreetstringzip_codestringaddress_restrictionsOrganisationAddressRestrictionResponse[]Show propertiesHide properties
Array of
OrganisationAddressRestrictionResponseaddressIDstringformattedAddressstringorganisationIDstringorganisationNamestringorganisationNumberstringapp_idstringattributesAttributeResponse[] | nullShow propertiesHide properties
Array of
AttributeResponsedescriptionstringidstringkeystringnamestringtemplate_keystringtranslationsAttributeTranslationsResponseShow propertiesHide properties
descriptionobjectnameobjectvaluesobjectcommentstringcommunication_preferencesCommunicationPreferencesResponseShow propertiesHide properties
allow_emailbooleanallow_postalbooleanallow_smsbooleancreated_atstringcustom_role_idstringcustomer_groupsCustomerGroupRefResponse[] | nullShow propertiesHide properties
Array of
CustomerGroupRefResponseidstringnamestringslugstringemailstringemail_verifiedbooleanfilesFileResponse[] | nullShow propertiesHide properties
Array of
FileResponseapp_idstringcontent_typestringcreated_atstringcustom_fieldsobjectfilenamestringidstringupdated_atstringurlstringfirst_namestringidstringis_super_adminbooleanlanguagestringlast_login_atstringlast_namestringlevelstringmarketstringmarket_currencystringmarket_idstring | nullorganisationsOrganisationWithUserRelationResponse[] | nullShow propertiesHide properties
Array of
OrganisationWithUserRelationResponseapp_idstringattributesAttributeResponse[] | nullbilling_addressCompanyAddressResponse[] | nullShow propertiesHide properties
Array of
CompanyAddressResponsecitystringco_addressstringcompany_idstringcompany_namestringcountrystringcreated_atstringhouse_numberstringidstringis_defaultbooleannamestringphonestringpostal_codestringshipping_typestringstate_provincestringstreet_addressstringupdated_atstringcommentstringcontact_namestringcreated_atstringcredit_checkbooleancustom_fieldsobjectcustom_role_idstring | nullcustomer_groupsCustomerGroupRefResponse[] | nullemailstringexternal_refstringfilesFileResponse[] | nullidstringinvoice_emailstringlevelstring | nullnamestringorganisation_numberstring | nullparent_idstring | nullphonestringrolestring | nullrole_namestring | nullshipping_addressCompanyAddressResponse[] | nullstatusstringstore_groupsStoreGroupResponse[] | nullShow propertiesHide properties
Array of
StoreGroupResponsecountry_of_salestring | nullcreated_atstringdescriptionstring | nullidstringnamestringslugstringstore_typestringupdated_atstring | nulltagsTagResponse[] | nulltax_id_vat_numberstringupdated_atstringphone_numberstringrolestringrole_namestringsocial_security_numberstringstatusstringstore_groupstringstore_group_idstring | nulltagsTagResponse[]Show propertiesHide properties
Array of
TagResponseapp_idstringidstringkeystringnamestringthird_party_sign_upbooleanupdated_atstringpageintegerpage_sizeintegertotal_itemsintegertotal_pagesinteger400
Invalid request parameters
detailsstring[] | nullmessagestringsuccessboolean404
Organisation not found
detailsstring[] | nullmessagestringsuccessboolean500
Internal server error
detailsstring[] | nullmessagestringsuccessboolean